img-xbm(3tk)

NAME
img-xbm - X Windows Bitmap format (xbm)

SYNOPSIS
package require img::xbm ?2.0?

DESCRIPTION
package require img::xbm

Like all packages of Img it does not provide new commands, but extends the existing Tk command image, so that it supports files containing raster images in the X Windows Bitmap format (xbm). More specifically img::xbm extends Tk's photo [https://www.tcl.tk/man/tcl9.0/TkCmd/photo.html] image type.

The name of the new format handler is xbm. This handler provides new additional configuration options. See section Options for more detailed explanations.

All of the above means that in a call like image create photo ?name? ?options?

[1] Image data in xbm format (options -data and -file) is detected automatically.

[2] The format name xbm is recognized by the option -format.

In addition the value of option -format is treated as a list and may contain any of the special options listed in section Options.

The package img::xbm is a sub-package of Img. It can be loaded as a part of the complete Img support, via package require Img, or on its own, via package require img::xbm.

OPTIONS
The handler provides the following options:

-verbose bool
    This option is supported for reading and writing. Available since version 2.0.

    If set to true, additional information about the read or written image is printed to stdout. Default is false.

-foreground string
    This option is supported for reading only. Available since version 1.4.15.

    Set the foreground color of the bitmap. Default value is black. The color string may be given in a format as accepted by Tk_GetColor.

-background string
    This option is supported for reading only. Available since version 1.4.15.

    Set the background color of the bitmap. Default value is transparent. The color string may be given in a format as accepted by Tk_GetColor.

SEE ALSO
img, img-bmp, img-dted, img-flir, img-gif, img-ico, img-jpeg, img-pcx, img-pixmap, img-png, img-ppm, img-ps, img-raw, img-sgi, img-sun, img-tga, img-tiff, img-window, img-xbm, img-xpm

COPYRIGHT
Copyright (c) 1995-2024 Jan Nijtmans <nijtmans@users.sourceforge.net>
Copyright (c) 2002-2024 Andreas Kupries <andreas_kupries@users.sourceforge.net>
Copyright (c) 2003-2024 Paul Obermeier <obermeier@users.sourceforge.net>